# CSC 111, Final Exam, Part 3
# Author: Joe O'Rourke, Sara Mathieson
# Bank customer class (deposit and withdraw).


class Customer:

    def __init__(self, name, balance):
        """Create a new customer with some initial balance."""
        self.name = name
        self.balance = balance

    def get_balance(self):
        """Getter for the current balance."""
        return self.balance

    def deposit(self, amount):
        """Add the desired amount to the current balance."""
        self.balance += amount

    def withdraw(self, amount):
        """If not overdrawing account, subtract amount from balance."""
        if amount > self.balance:
            print("Cannot withdraw more than you have!")
        else:
            self.balance -= amount

    def __str__(self):
        """String method so we can create a nice representation."""
        return self.name + ": $" + str(self.balance)


def main():
    """Test all our Customer methods."""

    kathy = Customer("Kathy McCartney", 500)
    print(kathy.get_balance())
    
    kathy.deposit(100)
    print(kathy.get_balance())
    
    kathy.withdraw(200)
    print(kathy.get_balance())
    
    kathy.withdraw(500)
    print(kathy.get_balance())

    print(kathy)

main()
    
